<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Matchbox.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d6c/_matchbox_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Matchbox.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d6c/_matchbox_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_enumvalue" href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafea60c15920fd40accbaeb6508437b3930e">Matchbox</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a690421a63b8c2a99fb13e680b62a7470">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a690421a63b8c2a99fb13e680b62a7470">InitItemVariables</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        super.InitItemVariables();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../df/d2e/_item_base_8c.html#a8501b66ad2d854ae9dd2ffc9ae48f134">can_this_be_combined</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#ad980bb1c94bbdb97c03cc1b530cdee48">    9</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#ad980bb1c94bbdb97c03cc1b530cdee48">CanIgniteItem</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> ignite_target = NULL )</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5d57ac8a00fab716f6983223689ba4a">GetQuantity</a>() &gt; 0 &amp;&amp; <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#aa304210dfa473741f4d8954c1c9e8b98">GetWet</a>() &lt; <a class="code hl_class" href="../../d2/d68/group___emote_i_ds.html#da/d45/class_game_constants">GameConstants</a>.<a class="code hl_variable" href="../../d8/d23/group___item_wetness.html#ga1e3a36c489d889ff08e6bd680cf84a41">STATE_DAMP</a> )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#af27eb2668b2202a16ffc79ef3144f88d">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#af27eb2668b2202a16ffc79ef3144f88d">OnIgnitedTarget</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> ignited_item )</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a355a6e1f657b8e82a7a063cb490bfbb0">AddQuantity</a>( -1 );</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a86c7bdc627b83e8ba7f91ae4b8365a3c">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a86c7bdc627b83e8ba7f91ae4b8365a3c">OnIgnitedTargetFailed</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target_item )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a355a6e1f657b8e82a7a063cb490bfbb0">AddQuantity</a>( -1 );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">SetActions</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        super.SetActions();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../df/d86/_action_light_item_on_fire_8c.html#aec11b7d56a7b004bdb4df567f38ea29f">ActionLightItemOnFire</a>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="comment">/*</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">    override bool IsTargetIgnitionSuccessful( EntityAI item_target = NULL )</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">    {</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="comment">    }</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="comment">    */</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_aa304210dfa473741f4d8954c1c9e8b98"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#aa304210dfa473741f4d8954c1c9e8b98">GetWet</a></div><div class="ttdeci">float GetWet()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01788">EntityAI.c:1788</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_af5d57ac8a00fab716f6983223689ba4a"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5d57ac8a00fab716f6983223689ba4a">GetQuantity</a></div><div class="ttdeci">float GetQuantity()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01815">EntityAI.c:1815</a></div></div>
<div class="ttc" id="a_action_light_item_on_fire_8c_html_aec11b7d56a7b004bdb4df567f38ea29f"><div class="ttname"><a href="../../df/d86/_action_light_item_on_fire_8c.html#aec11b7d56a7b004bdb4df567f38ea29f">ActionLightItemOnFire</a></div><div class="ttdeci">ActionLightItemOnFireCB ActionContinuousBaseCB ActionLightItemOnFire()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d86/_action_light_item_on_fire_8c_source.html#l00001">ActionLightItemOnFire.c:11</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00219">AdvancedCommunication.c:219</a></div></div>
<div class="ttc" id="a_e_fire_ignite_type_8c_html_a96be9fad49c872d620786d85934daafea60c15920fd40accbaeb6508437b3930e"><div class="ttname"><a href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafea60c15920fd40accbaeb6508437b3930e">Matchbox</a></div><div class="ttdeci">@ Matchbox</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df6/_e_fire_ignite_type_8c_source.html#l00004">EFireIgniteType.c:4</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a355a6e1f657b8e82a7a063cb490bfbb0"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a355a6e1f657b8e82a7a063cb490bfbb0">AddQuantity</a></div><div class="ttdeci">bool AddQuantity(float value, bool destroy_config=true, bool destroy_forced=false)</div><div class="ttdoc">add item quantity[related to varQuantity... config entry], destroy_config = true &gt; if the quantity re...</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l07922">ItemBase.c:7922</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a8501b66ad2d854ae9dd2ffc9ae48f134"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a8501b66ad2d854ae9dd2ffc9ae48f134">can_this_be_combined</a></div><div class="ttdeci">bool can_this_be_combined</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l04739">ItemBase.c:4739</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_item_base_html_a45bcceec0acd0ccdc9d6afd42d4e839a"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">ItemBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6c/_matchbox_8c_source.html#l00033">Matchbox.c:33</a></div></div>
<div class="ttc" id="aclass_item_base_html_a690421a63b8c2a99fb13e680b62a7470"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a690421a63b8c2a99fb13e680b62a7470">ItemBase::InitItemVariables</a></div><div class="ttdeci">override void InitItemVariables()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6c/_matchbox_8c_source.html#l00003">Matchbox.c:3</a></div></div>
<div class="ttc" id="aclass_item_base_html_a86c7bdc627b83e8ba7f91ae4b8365a3c"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a86c7bdc627b83e8ba7f91ae4b8365a3c">ItemBase::OnIgnitedTargetFailed</a></div><div class="ttdeci">override void OnIgnitedTargetFailed(EntityAI target_item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6c/_matchbox_8c_source.html#l00025">Matchbox.c:25</a></div></div>
<div class="ttc" id="aclass_item_base_html_ad980bb1c94bbdb97c03cc1b530cdee48"><div class="ttname"><a href="../../de/d7a/class_item_base.html#ad980bb1c94bbdb97c03cc1b530cdee48">ItemBase::CanIgniteItem</a></div><div class="ttdeci">override bool CanIgniteItem(EntityAI ignite_target=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6c/_matchbox_8c_source.html#l00009">Matchbox.c:9</a></div></div>
<div class="ttc" id="aclass_item_base_html_af27eb2668b2202a16ffc79ef3144f88d"><div class="ttname"><a href="../../de/d7a/class_item_base.html#af27eb2668b2202a16ffc79ef3144f88d">ItemBase::OnIgnitedTarget</a></div><div class="ttdeci">override void OnIgnitedTarget(EntityAI ignited_item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6c/_matchbox_8c_source.html#l00017">Matchbox.c:17</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___emote_i_ds_html_da/d45/class_game_constants"><div class="ttname"><a href="../../d2/d68/group___emote_i_ds.html#da/d45/class_game_constants">GameConstants</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00569">constants.c:570</a></div></div>
<div class="ttc" id="agroup___item_wetness_html_ga1e3a36c489d889ff08e6bd680cf84a41"><div class="ttname"><a href="../../d8/d23/group___item_wetness.html#ga1e3a36c489d889ff08e6bd680cf84a41">GameConstants::STATE_DAMP</a></div><div class="ttdeci">const float STATE_DAMP</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00740">constants.c:740</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../d5/d6c/_matchbox_8c.html">Matchbox.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
